#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include "ui_mainwindow.h"

#include <marketplace.h>

#include <QMainWindow>

#include <memory>

class MainWindow : public QMainWindow
{
    Q_OBJECT

    public:
    MainWindow();
    Marketplace* getMarketplace() {return marketplace_.get();}

    private:
        void on_actionEditSeller_triggered();

        Ui::MainWindow ui_;
        std::unique_ptr<Marketplace> marketplace_;
};

#endif